<?php
/* 
  SERVER.PHP
  Handles the request being made by a client
*/
include(dirname(__FILE__) . "/xmlrpc/xmlrpc-engine.php");	/* Web Service Engine */
include(dirname(__FILE__) . "/xmlrpc/web_methods.php");		/* Include a file that defines "methods" */

/* Grab POST Stream Which Is In XML Format */
$xmlrpc_request = XMLRPC_parse($GLOBALS['HTTP_RAW_POST_DATA']);

/* Grab Function Method Requested */
$methodName = XMLRPC_getMethodName($xmlrpc_request);

/* Grab Other Parameters (name/values) Which May Be Included */
$params = XMLRPC_getParams($xmlrpc_request);

/* Process Request */
if(!ISSET($xmlrpc_methods[$methodName])) {
					  /* Method Requested Not Found.  Generate Error. */
					  $xmlrpc_methods['method_not_found']($methodName);
					 }
else {
      /* Call Requested Method */
      $xmlrpc_methods[$methodName]($params[0]);
     }
?>